import os
from dataclasses import dataclass

@dataclass
class DatabaseConfig:
    host: str = os.environ.get('PGHOST', 'localhost')
    port: str = os.environ.get('PGPORT', '5432')
    database: str = os.environ.get('PGDATABASE', 'auth_db')
    user: str = os.environ.get('PGUSER', 'postgres')
    password: str = os.environ.get('PGPASSWORD', '')

@dataclass
class EmailConfig:
    smtp_server: str = "smtp.gmail.com"
    smtp_port: int = 587
    sender_email: str = os.environ.get('SENDER_EMAIL', '')
    app_password: str = os.environ.get('EMAIL_APP_PASSWORD', '')

CONFIG = {
    'db': DatabaseConfig(),
    'email': EmailConfig(),
    'code_expiry_minutes': 15,
    'subscription_trial_days': 14
}